<?php
//change a category
include("../data_bd_directory.php"); //directory variables
include("../functions.php"); //functions of the directory
include("secure.php"); //checking the session + connexion to the DB

// if we have not left in secure.php, we can continue...

$action = isset($_POST['action']) ? $_POST['action'] : '';


if ($action == "modify_cat")
//change the information of a category
{
	// get the datas
	$name_cat2modify = isset($_POST['name_cat2modify']) ? $_POST['name_cat2modify'] : '';
	$texte = isset($_POST['texte']) ? $_POST['texte'] : '';
	$id2modify = isset($_POST['id2modify']) ? (int)$_POST['id2modify'] : 0;
	$id_cat_mother_cat2modify = isset($_POST['id_cat_mother_cat2modify']) ? (int)$_POST['id_cat_mother_cat2modify'] : 0;
	$old_id_cat_mother = isset($_POST['old_id_cat_mother']) ? (int)$_POST['old_id_cat_mother'] : 0;
	$activation2modify = isset($_POST['activation2modify']) ? (int)$_POST['activation2modify'] : 0;
	$can_add2modify = isset($_POST['can_add2modify']) ? (int)$_POST['can_add2modify'] : 0;

	is_empty ($name_cat2modify,"A category must have a name !");
	is_too_long ($texte,65535,"Your text to display");

	//connexion to the DB (useful to check the id of the mother category)
	//we are already connected
	
	if (is_scat_of($id_cat_mother_cat2modify,$id2modify))
	//we have to check that we are not trying to put a category as daughter of one of the daughter
	{
		?>
		A mother category can't become a daughter of one of it daughter
		<br><br>
		<a href="javascript:history.go(-1);">Return to the form</a>
		<?php	
		exit;
	}

	if ($id_cat_mother_cat2modify == $id2modify)
	//it needed to check if we are not trying to set a category as it own's mother
	{
		?>
		A category can't become it own's mother !!
		<br><br>
		<a href="javascript:history.go(-1);">Return to the form</a>
		<?php		
		exit;
	}

	if ($old_id_cat_mother != $id_cat_mother_cat2modify)
	//it is needed to check if the mother category exists
	{
		if (!id_cat_exist($id_cat_mother_cat2modify))
		{
			?>
			The mother category doesn't exist !
			<br><br>
			<a href="javascript:history.go(-1);">Return to the form</a>
			<?php	
			exit;
		}
	}

	if (!get_magic_quotes_gpc())
	//we add slashs for the magic_quote at OFF
	{
		$name_cat2modify = addslashes($name_cat2modify);
		$texte = addslashes($texte);
	}
	
	//creation of the request					
	$sql = "UPDATE $T_categories SET id_cat_mother = '$id_cat_mother_cat2modify', cat_name = '$name_cat2modify', texte = '$texte', activation = '$activation2modify', can_add = '$can_add2modify' WHERE id = '$id2modify' ";
	//connexion to the DB
	//we are already connected
	//send the request
	$upd = send_sql($sql,"Update the informations of the category $name_cat2modify");
	//stop the connexion
	mysql_close($lk);
	header("Location: ".addsess2url("../admin/admin_directory.php?cat_id=$id_cat_mother_cat2modify",$session_id));
	exit; 
}

?>
<html>
<head>
<title>Change a category of the directory</title>
</head>
<body bgcolor="#ffffcc">
<a href="<?php echo addsess2url("admin.php",$session_id); ?>">Return to the main administration page</a>
<br>
<center><h2>Change the information of a category</h2></center>
<br><br>
<?php
$id2modify = isset($_GET['id2modify'])  ? (int)$_GET['id2modify'] : 0;
$id_cat_mother = isset($_GET['id_cat_mother'])  ? (int)$_GET['id_cat_mother'] : 0;
//creation of the request
$sql = "SELECT * FROM $T_categories WHERE id = '$id2modify'";
if ($id_cat_mother != 0)
//if it is not the main category
	$sql_mother = "SELECT cat_name FROM $T_categories WHERE id = '$id_cat_mother' ";
else
//the mother is a main category
	$name_cat_mother = "Main category";
//connexion to the DB
//we are already connected
//send the request
$res = send_sql($sql,"Find a category to display informations)");
if ($sql_mother)
//if we have defined a category for request the mother's name
$res_mother = send_sql($sql_mother,"Find the name of a mother category (admin:modif_cat)");

$result = mysql_fetch_array($res,MYSQL_ASSOC);
if($sql_mother)
//if we have defined a request for the motehr's name
{
	$result_mother = mysql_fetch_array($res_mother,MYSQL_ASSOC);
	$name_cat_mother = $result_mother["cat_name"];
}
?>
<center>
<b>Here are the informations on the category :</b>
</center>
<br><br>
<table align="center">
<tr>
<td>
<form action="<?php echo addsess2url("modify_cat.php",$session_id); ?>" method="post">
<input type="hidden" name="action" value="modify_cat">
<input type="hidden" name="id2modify" value=<?php echo $id2modify ?>>
<br>
Name of a category : 
<input type="text" value="<?php echo htmlspecialchars($result["cat_name"]); ?>" name="name_cat2modify" maxlength=30 size=25>
<br><br>
Mother category : 
<?php
echo show_list_cats("id_cat_mother_cat2modify",$result["id_cat_mother"]);
//stop the connexion
mysql_close($lk);
?>
<input type="hidden" name="old_id_cat_mother" value=<?php echo $result["id_cat_mother"];?>>
<br><br>
Text displayed on the category page (optional) :
<br>
<font size="-1">(Vous pouvez utilisez des balises HTML)</font>
<br>
<textarea name="texte" cols=50 rows=5><?php echo htmlspecialchars($result["texte"]); ?></textarea>
<br><br>
Are the visitors allowed to submit sites in this category ?
<br>
<input type="radio" name="can_add2modify" value=1<?php if($result["can_add"] == 1) echo " checked"; ?>>Yes
<br>
<input type="radio" name="can_add2modify" value=0<?php if($result["can_add"] != 1) echo " checked"; ?>>No
<br>
<br>
It this category displayed in the directory ?
<br>
<input type="radio" name="activation2modify" value=1<?php if($result["activation"] == 1) echo " checked"; ?>>Yes
<br>
<input type="radio" name="activation2modify" value=0<?php if($result["activation"] != 1) echo " checked"; ?>>No
<br><br>
<center>
<input type="submit" value="Save the modifications" onclick="this.value='Modification in progress...';">
</center>
</form>
</table>
</body>
</html>