<?php
//form to change the parameters of the direcory
include("../data_bd_directory.php"); // directory variables
include("../functions.php"); // directory functions
include("secure.php"); //session checking + connexion to the DB

// if we have not left in secure.php, we can continue...

$submit = isset($_POST['submit']) ? $_POST['submit'] : '';

if ($submit)
//the form has been sent it is needed to update the DB
{
	// get the datas
	$title_site = isset($_POST['title_site']) ? $_POST['title_site'] : '';
	$url_site = isset($_POST['url_site']) ? $_POST['url_site'] : '';
	$url_rep = isset($_POST['url_rep']) ? $_POST['url_rep'] : '';
	$name_master = isset($_POST['name_master']) ? $_POST['name_master'] : '';
	$email_master = isset($_POST['email_master']) ? $_POST['email_master'] : '';
	$nb_sites_in_topclics = isset($_POST['nb_sites_in_topclics']) ? (int)$_POST['nb_sites_in_topclics'] : 0;
	$nb_sites_in_topvotes = isset($_POST['nb_sites_in_topvotes']) ? (int)$_POST['nb_sites_in_topvotes'] : 0;
	$nb_days2benew = isset($_POST['nb_days2benew']) ? (int)$_POST['nb_days2benew'] : 0;
	$nb_scats_on_index = isset($_POST['nb_scats_on_index']) ? (int)$_POST['nb_scats_on_index'] : 0;
	$max_presence = isset($_POST['max_presence']) ? (int)$_POST['max_presence'] : 0;
	$nb_sites_on_page = isset($_POST['nb_sites_on_page']) ? (int)$_POST['nb_sites_on_page'] : 0;
	$func_mail = isset($_POST['func_mail']) ? (int)$_POST['func_mail'] : 0;
	$use_newsletter = isset($_POST['$use_newsletter']) ? (int)$_POST['$use_newsletter'] : 0;
	$auto_validate = isset($_POST['auto_validate']) ? (int)$_POST['auto_validate'] : 0;
	
	//checking the datas
	is_empty($title_site,"Please enter a title for your website site !");
	url_valide($url_site);
	url_valide($url_rep);
	email_valide($email_master);
	is_empty($name_master,"Please enter the name of the webmaster !");
	
	//change when is needed
	if (!get_magic_quotes_gpc())
	//we add slashes for magic_quote at OFF
	{
		$name_master = addslashes($name_master);
		$title_site = addslashes($title_site);
	}

	$nb_sites_in_topclics = put_inthe_middle($nb_sites_in_topclics,1,255,"int");
	$nb_sites_in_topvotes = put_inthe_middle($nb_sites_in_topvotes,1,255,"int");
	$nb_days2benew = put_inthe_middle($nb_days2benew,1,255,"int");		
	$nb_scats_on_index = put_inthe_middle($nb_scats_on_index,0,255,"int"); //0 because we can display only main categories....
	$max_presence = put_inthe_middle($max_presence,1,255,"int");
	$nb_sites_on_page = put_inthe_middle($nb_sites_on_page,1,255,"int");
	
	//creation of the request
	$sql = "UPDATE $T_infos SET nb_sites_in_topclics = '$nb_sites_in_topclics', nb_sites_in_topvotes = '$nb_sites_in_topvotes', nb_days2benew = '$nb_days2benew', nb_scats_on_index ='$nb_scats_on_index', max_presence = '$max_presence', nb_sites_on_page = '$nb_sites_on_page', auto_validate = '$auto_validate', func_mail = '$func_mail', title_site = '$title_site', url_site = '$url_site', url_rep = '$url_rep', name_master = '$name_master', email_master = '$email_master', use_newsletter = '$use_newsletter' ";
	//connexion to the DB
	//if we are still connected
	//send the request
	send_sql($sql,"update the parameters of the directory");
	//end the connexion
	
	//return to the administration
	header("Location: ".addsess2url("admin.php",$session_id));
	exit;
}

?>
<html>
<head>
<title>Change the parameters of the directory</title>
</head>
<body bgcolor="#ffffcc">
<a href="<?php echo addsess2url("admin.php",$session_id); ?>">Return to the main administration page</a>
<br>
<center><h2>Directory parameters</h2></center>
<br><br>
<?php
//form with all the informations we can change

$sql = "SELECT * FROM $T_infos ";
//connexion to the DB
//if we are still connected
//send the request
$res = send_sql($sql,"Find the parameters of the directory");
//end the connexion

//display the informations
$result = mysql_fetch_array($res,MYSQL_ASSOC);

?>
<form action="<?php echo addsess2url("param_directory.php",$session_id); ?>" method="post">
<font size="+1">Infos on administration :</font>
<br><br>
Number of sites in the Top click :
<input type="text" name="nb_sites_in_topclics" size=5 value=<?php echo $result["nb_sites_in_topclics"]; ?>>
<br><br>
Number of sites in the Top votes :
<input type="text" name="nb_sites_in_topvotes" size=5 value=<?php echo $result["nb_sites_in_topvotes"]; ?>>
<br><br>
A site is marked new during
<input type="text" name="nb_days2benew" size=4 value=<?php echo $result["nb_days2benew"]; ?>> day(s).
<br><br>
Number of sub-categories to display in the start page below the main categories :
<input type="text" name="nb_scats_on_index" size=4 value=<?php echo $result["nb_scats_on_index"]; ?>>
<br><br>
An site can be in a maximum of X categories
<input type="text" name="max_presence" size=4 value=<?php echo $result["max_presence"]; ?>> category(ies).
<br><br>
Number of sites displayed per page in the categories :
<input type="text" name="nb_sites_on_page" size=5 value=<?php echo $result["nb_sites_on_page"]; ?>>
<br><br>
Sites are automatically approved : 
oui <input type="radio" name="auto_validate" value=1<?php if($result["auto_validate"] == 1) echo " checked"; ?>> &nbsp;&nbsp;|&nbsp;&nbsp; non <input type="radio" name="auto_validate" value=0<?php if($result["auto_validate"] != 1) echo " checked"; ?>>
<br><br>
Can you use the mail() function of PHP ?
Yes <input type="radio" name="func_mail" value=1<?php if($result["func_mail"] == 1) echo " checked"; ?>> &nbsp;&nbsp;|&nbsp;&nbsp; No <input type="radio" name="func_mail" value=0<?php if($result["func_mail"] != 1) echo " checked"; ?>>
<br><br><br>
<font size="+1">Infos on the site :</font>
<br><br>
Title of your site :
<input type="text" name="title_site" size=30 maxlength=60 value="<?php echo htmlspecialchars($result["title_site"]); ?>">
<br><br>
URL of your site :
<input type="text" name="url_site" size=40 maxlength=120 value="<?php echo $result["url_site"]; ?>">
<br><br>
URL of the folder in which is installed MyPHPdirectory : 
<input type="text" name="url_rep" size=40 maxlength=150 value="<?php echo $result["url_rep"]; ?>">
<br><br>
Name of the webmaster :
<input type="text" name="name_master" size=30 maxlength=50 value="<?php echo htmlspecialchars($result["name_master"]); ?>">
<br><br>
Email of the webmaster :
<input type="text" name="email_master" size=35 maxlength=75 value="<?php echo $result["email_master"]; ?>">
<br><br>
Are you using a Newsletter on your website ?
Yes <input type="radio" name="use_newsletter" value=1<?php if($result["use_newsletter"] == 1) echo " checked"; ?>> &nbsp&nbsp;|&nbsp;&nbsp; No <input type="radio" name="use_newsletter" value=0<?php if($result["use_newsletter"] != 1) echo " checked"; ?>>
<br><br>
<center>
<input type="submit" value="Change the parameters" onclick="this.value='Modification in progress...';" name="submit">
</center>
</form>
</body>
</html>