<?php
//Sorting the site according to the mean of votes et according to the number of vote

include("data_bd_directory.php"); //directory variables
include("functions.php"); //directory fonctions

$type = isset($_GET['type']) ? $_GET['type'] : '';
if ($type != 'nb')
	$type = '';

?>
<html>
<head>
<title>Ranking of the most appreciated sites</title>
<script language="JavaScript" src="js_directory.js"></script>
<link type="text/css" href="myphpdirectory.css" rel="stylesheet">
<?php
//File that contain your meta tags and everything that comes in the head part of your site
include("meta.php");
?>
</head>
<body>
<?php
//File that contains everything that must contain everything that must come before the directory (left menu)
include("before.php");

include ("top.php"); //Others links of the directory (top clicks, top votes, addition,...)

//script that displays the most visited sites

//creation the admin request
$sql_admin = "SELECT nb_sites_in_topvotes, nb_days2benew FROM $T_infos "; 
//connexion to the BD
$lk = connection_BD();
//sending the request
$res_admin = send_sql($sql_admin,"Finding the number of sites to display in the top votes");

//Using the result
$result_admin = mysql_fetch_array($res_admin,MYSQL_ASSOC);
$nb_sites_top_votes = $result_admin["nb_sites_in_topvotes"];
$nb_days2benew = $result_admin["nb_days2benew"];

//creating the request for the sites
$sql = "SELECT s.id, id_cat, title, description, url, date_validation, nb_votes, average_votes, cat_name, TO_DAYS(CURRENT_DATE) - TO_DAYS(date_validation) AS dif_days FROM $T_sites AS s, $T_categories AS c WHERE s.id_cat = c.id AND s.activation = 1 AND c.activation = 1 ";
if (empty($type))
//ranking per average rank of vote (default)
{
	$sql .= "AND nb_votes > 0 ORDER BY average_votes DESC, nb_votes DESC, title LIMIT 0,$nb_sites_top_votes ";
	$title_page = "Top $nb_sites_top_votes of the best ranked sites";
}
else // $type = nb 
//ranking according to the number of votes
{
	$sql .= "AND nb_votes > 0 ORDER BY nb_votes DESC, average_votes DESC, title LIMIT 0,$nb_sites_top_votes ";
	$title_page = "Top $nb_sites_top_votes des nombres de votes";
}
//sending the request
$res = send_sql($sql,"Find the sites of the Top votes");
//Stop the connexion
mysql_close($lk);

?>
<center>
<span class="title_directory">
<?php echo $title_page; ?>
</span>
</center>
<br>
<center>
<a href="top_votes.php" class="type_vote_directory">Top votes ranking</a>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<a href="top_votes.php?type=nb" class="type_vote_annuaire">Ranking according to the number of votes</a>
</center>
<br><br>
<?php
if (mysql_num_rows($res))
//if we have results
{
	echo "<table border=0 align=\"center\">\n";
	$position=1;
	while ($resultat = mysql_fetch_array($res))
	{
		display_site($resultat,"topv");
		$position++;
	}
	echo "</table>\n";
}
else //no result
{
	?>
	<center>
	<span class="no_vote_site_annuaire">
	No sites has received votes yet...
	</span>
	</center>
	<br><br>
	<?php
}

include ("bottom.php"); //bottom of the page page

//File that contains everything the has to come before the directory code (right menu....)
include("after.php");

?>
</body>
</html>