<?php
//administration page of the directory
include("../data_bd_directory.php"); //directory variables 
include("../functions.php"); //directory functions
include("secure.php"); //checking the session + connexion to the DB

// if we have not left secure.php, we can continue...

$action = isset($_POST['action']) ? $_POST['action'] : '';
$action2 = isset($_GET['action']) ? $_GET['action'] : '';

if ($action == "add_cat")
//add a category in the table
{
	// get the datas
	$name_cat2add = isset($_POST['name_cat2add']) ? $_POST['name_cat2add'] : '';
	$texte = isset($_POST['texte']) ? $_POST['texte'] : '';
	$id_cat_mother_cat2add = isset($_POST['id_cat_mother_cat2add']) ? (int)$_POST['id_cat_mother_cat2add'] : 0;
	
	//if the name is not filled
	is_empty($name_cat2add,"Please enter a name for the category to create");
	if ($texte)
	//if we have filled a text to display at the top of the category it is needed to check it's length
		is_too_long($texte,65535,"Your text to display in a category");

	if (!get_magic_quotes_gpc())
	//we add slash for magic_quote at OFF
	{
		$name_cat2add = addslashes($name_cat2add);
		$texte = addslashes($texte);
	}

	//creation of the request
	$sql = "INSERT INTO $T_categories (id_cat_mother,cat_name,texte) VALUES ('$id_cat_mother_cat2add','$name_cat2add','$texte')";
	//we are already connected
	//send the request
	$ins = send_sql($sql,"Insert a new category (admin)");
	//End the connexion
	mysql_close($lk);
	
	header("Location: ".addsess2url("admin_directory.php?cat_id=$id_cat_mother_cat2add",$session_id));
	exit;	
}
elseif ($action == "add_site")
//add a site in the table
{
	// get the datas
	$title = isset($_POST['title']) ? $_POST['title'] : '';
	$email_owner = isset($_POST['email_owner']) ? $_POST['email_owner'] : '';
	$name_owner = isset($_POST['name_owner']) ? $_POST['name_owner'] : '';
	$url = isset($_POST['url']) ? $_POST['url'] : '';
	$description = isset($_POST['description']) ? $_POST['description'] : '';
	$cat_id = isset($_POST['cat_id']) ? (int)$_POST['cat_id'] : 0;
	$nb_clics = isset($_POST['nb_clics']) ? (int)$_POST['nb_clics'] : 0;
	$level = isset($_POST['level']) ? (int)$_POST['level'] : 5;
	//checking the datas
	is_empty($title,"Please enter the title of the site !");
	url_valide($url);
	if ($email_owner)
		email_valide($email_owner);
	is_empty($description,"You have not filled the site description !");
	

	//request for max_presence
	$sql_admin = "SELECT max_presence FROM $T_infos ";
	//connexion to the DB (useful to check url presence)
	//we are already connected
	//send the request
	$res_admin = send_sql($sql_admin,"Find the value of max_presence");
	//computing the result
	$result_admin = mysql_fetch_array($res_admin,MYSQL_ASSOC);
		
	//we check if the url is not already in the tables (exit function if problem
	if (check_presence_url($url,$cat_id,$result_admin["max_presence"]))
	{
		?>
		<br><br>
		<a href="<?php echo addsess2url("../admin/admin_directory.php?cat_id=$cat_id",$session_id); ?>">Return to the administration of the directory</a>
		<?php
		exit;
	}

	if (!get_magic_quotes_gpc())
	//we add slash for magic_quote at OFF
	{
		$title = addslashes($title);
		$name_owner = addslashes($name_owner);
		$description = addslashes($description);
	}

	//if all field are filled correctly
	//we can add the site in the table of sites in waiting for validation

	//creation of the request
	$sql = "INSERT INTO $T_sites (id_cat,title,description,url,name_owner,email_owner,date_validation,nb_clics,level) VALUES ('$cat_id','$title','$description','$url','$name_owner','$email_owner',CURRENT_DATE,$nb_clics,$level) ";
	//send the request
	$ins = send_sql($sql,"add a new site ! (admin)");
	//end of the connexion
	mysql_close($lk);
	
	header("Location: ".addsess2url("admin_directory.php?cat_id=$cat_id",$session_id));
	exit;
}
elseif ($action2 == "del_site")
//erase a site for good
{
	// get the datas
	$id_site = isset($_GET['id_site']) ? (int)$_GET['id_site'] : 0;
	$id_cat = isset($_GET['id_cat']) ? (int)$_GET['id_cat'] : 0;
	
	is_empty($id_site,"");
	
	//creation of the requests (sites + comments)
	$sql_sites = "DELETE FROM $T_sites WHERE id = '$id_site' ";
	$sql_com = "DELETE FROM $T_comments WHERE id_site = '$id_site' ";
	//connexion to the DB
	//we are already connected
	//send the requests
	$res_sites = send_sql($sql_sites,"erase the site in the database");
	$res_com = send_sql($sql_com,"erase the comments on a site $id_site");
	//end of the connexion
	mysql_close($lk);
	
	header("Location: ".addsess2url("admin_directory.php?cat_id=$id_cat",$session_id));
	exit;
}
elseif ($action2 == "del_cat")
//erase completly a category
{
	// get the datas
	$id_cat = isset($_GET['id_cat']) ? (int)$_GET['id_cat'] : 0;

	is_empty($id_cat,"");
	
	//we check if there's no mor subcategories or sites or sites in the category to erase
	$sql_sites = "SELECT id FROM $T_sites WHERE id_cat = '$id_cat' ";
	$sql_scats = "SELECT id FROM $T_categories WHERE id_cat_mother = '$id_cat' ";
	
	$sql_del = "DELETE FROM $T_categories WHERE id = '$id_cat' ";
	//connexion to the DB
	//we are already connected
	//send the request
	$res_sites = send_sql($sql_sites,"Check if a category has sites left");
	$res_scats = send_sql($sql_scats,"Check if the category has still sub-categories");

	$nb_sites = mysql_num_rows($res_sites); 
	$nb_scats = mysql_num_rows($res_scats);
	
	if ( $nb_sites || $nb_scats )
	//if there is still sites and/or sub-categories	
	{
		?>
		<font color="#ff0000">
		This category is not empty !
		<br><br>
		<?php
		if ($nb_sites)
		{
			?>
			The category has still <?php echo $nb_sites; ?> site(s) !
			<br>
			<?php
		}
		if ($nb_scats)
		{
			?>
		 	The category has still <?php echo $nb_scats; ?> sub-categorie(s) !
			<br>
			<?php
		}
		?>
		<br><br>
		To erase a category, it has to be totally empty !
		<br>
		Please erase sites and sub-categories first....
		</font>
		<br><br>
		<a href="javascript:history.go(-1);">Return to the previous page</a>
		<?php
		exit;
	}
	else
	//if a category is really empty we can remove it
	{
		$del = send_sql($sql_del,"Erase a category");
		header("Location: ".addsess2url("admin_directory.php",$session_id));
		exit;
	}
}
elseif ($action2 == "move_scat")
//we change the order of the sub-categories
// 0 : TOP
// 255 : BOTTOM
{
	// get the datas
	$id_scat = isset($_GET['id_scat']) ? (int)$_GET['id_scat'] : 0;
	$id_mother = isset($_GET['id_mother']) ? (int)$_GET['id_mother'] : 0;
	$offset = isset($_GET['offset']) ? $_GET['offset'] : '';

	//creation of the request
	switch ($offset)
	{
		//we have to increase the category to decrease it's position
		case "up" : $sql = "UPDATE $T_categories SET position = position - 1 WHERE id = '$id_scat' ";
					break;
		//we have to decrease the category and so increase it's position
		case "down" : $sql = "UPDATE $T_categories SET position = position + 1 WHERE id = '$id_scat' ";
					  break;
		default : //end of the connexion
				  mysql_close($lk);
				  die("Error in the offset to move a sub-category!");
	}
	//connexion to the DB
	//we are already connected
	//send the request
	$upd = send_sql($sql,"Update the position of the category");
	//end of the connexion
	mysql_close($lk);
	//redirection
	header("Location: ".addsess2url("admin_directory.php?cat_id=$id_mother",$session_id));
	exit;	
}

?>
<html>
<head>
<title>Administration of sites ans categories in the directory</title>
<script language="JavaScript" src="../js_directory.js"></script>
</head>
<body bgcolor="#ffffcc">
<?php
//creation of the request to seek the title
$sql = "SELECT title_site FROM $T_infos";
//connexion to the DB
//we are already connected
//send the request
$res = send_sql($sql,"Find the title of a site");
//we don't close the connexion because we need it later...
$result = mysql_fetch_array($res,MYSQL_ASSOC);

?>
<center><h2>Administration of the directory of <?php echo htmlspecialchars($result["title_site"]); ?></h2></center>
<br>
<a href="<?php echo addsess2url("admin.php",$session_id); ?>">Return to the main administration page</a>
<br><br>
<hr>
<br>
<?php
//Main page of the directory
$cat_id = isset($_GET['cat_id']) ? (int)$_GET['cat_id'] : 0;
if (empty($cat_id))
{
	//creation of the request
	$sql = "SELECT id,cat_name,activation FROM $T_categories WHERE id_cat_mother = '0' ORDER BY cat_name ASC ";
	//connexion to the DB
	//we are already connected
	//send the request
	$res = send_sql($sql,"Impossible to do the requst to find the mother categories (admin)");
	//end of the connexion
	mysql_close($lk);
	
	//we display the sub-categories
	if (!mysql_num_rows($res))
	//no category found
	{
		?>
		<br>
		<b>No main category for the moment !</b>
		<br><br>
		Remember to create categories to add sites...
		<?php
	}
	else
	{
		?>
		<br>
		Main Categories :
		<br><br>
		<table>
		<?php
		while ( $result = mysql_fetch_array($res,MYSQL_ASSOC) )
		{
			?>
			<tr>
			<td>
			 - <a href="<?php echo addsess2url("admin_directory.php?cat_id=$result[id]",$session_id); ?>"><?php echo htmlspecialchars($result["cat_name"]); ?></a>
			&nbsp;&nbsp;&nbsp;			
			<td>
			[<a href="<?php echo addsess2url("modify_cat.php?action=show_site_prop&id2modify=$result[id]",$session_id); ?>">Modify</a>]
			&nbsp;&nbsp;&nbsp;
			<td>
			[<a href="javascript:confirm_delete('<?php echo addsess2url("admin_directory.php?action=del_cat&id_cat=$result[id]",$session_id); ?>','this category')">Erase</a>]
			&nbsp;&nbsp;
			<?php		
			if (!$result["activation"])
			{
				//if a category is not active
				?>
				&nbsp;&nbsp;
				<font color="#ff0000" size="-1">Desactivated</font>
				<?php
			}
		} //end of the while
		echo "</table>\n";
	}
?>
<br><br>
<hr>
<br><br>
<!-- //form to add a category -->
<center>
<table>
<tr>
<td>
Add a main category :
<br>
<form action="<?php echo addsess2url("admin_directory.php",$session_id); ?>" method="post">
<input type="hidden" name="action" value="add_cat">
Name of the category :
<input type="text" name="name_cat2add">
<br><br>
Text to display in the category (optionnal) :
<br>
<font size="-1">(You can use HTML tags)</font>
<br>
<textarea name="texte" cols=50 rows=5></textarea>
<br>
<center><input type="submit" value="Create this category" onclick="this.value='Creation in progress...';"></center>
</form>
</table>
</center> 
<!-- //no form to add a site since we are in the main category
    //no site listing for the same reason -->
<br><br>
<hr>
<br><br>
<?php
}
else //cat_id is defined so we are not on the main category
{
	?>
	<center>
	<a href="#add_cat">Add a sub-category</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#add_site">Add a site</a>
	</center>
	<br><br><br>
	<?php
	//create requests to get the name of a category, sub-categories, the sites and the sites in waiting
	$sql = "SELECT cat_name FROM $T_categories WHERE id = '$cat_id' ";
	$sql_scat = "SELECT id,cat_name,activation FROM $T_categories WHERE id_cat_mother = '$cat_id' ORDER BY position ASC, cat_name ASC ";	
	$sql_site = "SELECT id,url,title,activation,nb_com FROM $T_sites WHERE id_cat = '$cat_id' ORDER BY level ASC,title ASC ";
	//connexion to the base
	//we are already connected 
	//send the 3 requests
	$res = send_sql($sql,"Find the name of a mother category (admin)");
	$res_scat = send_sql($sql_scat,"Find the name of sub-categories (admin)");
	$res_site = send_sql($sql_site,"Find the sites of a category (admin)");
	//we display the tree listing
	echo show_tree_in_lign($cat_id,"admin_directory.php"," => ",$session_id);
	//end of the connexion
	mysql_close($lk);
	
	//we want to get the name of the current category
	$result = mysql_fetch_array($res,MYSQL_ASSOC);
	$name_category = $result["cat_name"];
	?>
	<br><br>
	Sub-categories of <?php echo htmlspecialchars($name_category); ?> : 
	<br><br>
	<?php
	//we display the sub-categories
	if (mysql_num_rows($res_scat))
	//if there is sub-cats
	{
		echo "<table>\n";
		while ( $result_scat = mysql_fetch_array($res_scat,MYSQL_ASSOC) )
		{
			?>
			<tr>
			<td>
			 - <a href="<?php echo addsess2url("admin_directory.php?cat_id=$result_scat[id]",$session_id); ?>"><?php echo htmlspecialchars($result_scat["cat_name"]); ?></a>
			&nbsp;&nbsp;&nbsp;
			<td>
			[<a href="<?php echo addsess2url("modify_cat.php?id2modify=$result_scat[id]&id_cat_mother=$cat_id",$session_id); ?>">Modify</a>]
			&nbsp;&nbsp;&nbsp;
			<td>
			[<a href="javascript:confirm_delete('<?php echo addsess2url("admin_directory.php?action=del_cat&id_cat=$result_scat[id]",$session_id); ?>','This category')">Delete</a>]
			&nbsp;&nbsp;&nbsp;
			<td>
			[<a href="<?php echo addsess2url("admin_directory.php?action=move_scat&id_scat=$result_scat[id]&id_mother=$cat_id&offset=up",$session_id); ?>"><img src="../img/up.gif" border=0 alt="UP"></a>]
			&nbsp;&nbsp;&nbsp;
			[<a href="<?php echo addsess2url("admin_directory.php?action=move_scat&id_scat=$result_scat[id]&id_mother=$cat_id&offset=down",$session_id); ?>"><img src="../img/down.gif" border=0 alt="DOWN"></a>]
			&nbsp;&nbsp;
			<?php
			if (!$result_scat["activation"])
			{
				//if a category is not enabled
				?>
				&nbsp;&nbsp;
				<font color="#ff0000" size="-1">Disabled</font>
				<?php
			}
		} //fin while
		echo "</table>\n";
	}			
	else //no sub cat
	{ echo "No sub-categories\n<br>\n";	}
?>
<br><br><br><br>
<hr>
<!-- //form to add a category-->
<a name="add_cat"><br><br></a>
<center>
<table>
<tr>
<td>
Add a sub-catgory in <?php echo htmlspecialchars($name_category); ?> :
<br>
<form action="<?php echo addsess2url("admin_directory.php",$session_id); ?>" method="post">
<input type="hidden" name="action" value="add_cat">
<input type="hidden" name="id_cat_mother_cat2add" value="<?php echo $cat_id; ?>">
Name of the sub-category : 
<input type="text" name="name_cat2add">
<br><br>
Text to display in a category (optionnal) :
<br>
<font size="-1">(You can use HTML tags)</font>
<br>
<textarea name="texte" cols=50 rows=5></textarea>
<br>
<center><input type="submit" value="Create this sub-category" onclick="this.value='Creation in progress...';"></center>
</form>
</table>
</center>
<br><br>
<hr>
<br><br>
Sites in <?php echo htmlspecialchars($name_category); ?> :
<br><br>
<?php
	//site listing of this category
	if (mysql_num_rows($res_site))
	//if there is sites
	{
		echo "<table>\n";
		while ($result_site = mysql_fetch_array($res_site,MYSQL_ASSOC))
		{
			?>
			<tr>
			<td>
			<a href="<?php echo $result_site["url"]; ?>" target="_blank"><?php echo htmlspecialchars($result_site["title"]); ?></a>
			&nbsp;&nbsp;&nbsp;
			<td>
			[<a href="<?php echo addsess2url("modify_site.php?action=show_site_prop&id_site2modify=$result_site[id]&id_cat=$cat_id",$session_id); ?>">Modify</a>]
			&nbsp;&nbsp;&nbsp;
			<td>
			<?php
			if ($result_site["nb_com"])
			{
				?>
				[<a href="<?php echo addsess2url("edit_com.php?id_site=$result_site[id]&list=one",$session_id); ?>">Edit comments</a>]
				&nbsp;&nbsp;&nbsp;
				<?php
			}
			?>
			<td>
			[<a href="javascript:confirm_delete('<?php echo addsess2url("admin_directory.php?action=del_site&id_site=$result_site[id]&id_cat=$cat_id",$session_id); ?>','This site')">Erase</a>]
			&nbsp;&nbsp;
			<?php
			if ($result_site["activation"] == 1)
			{
				?>
				<font size="-1" color="#00cc00">			
				Displayed in the directory
				</font>
				<?php
			}
			else //not displayed
			{
				?>
				<font size="-1" color="#ff0000">				
				Not displayed in the directory
				</font>
				<?php
			}
		} //end of while
		echo "</table>\n";
	}
	else //no sites
	{ echo "No site in this category\n<br>\n"; }
?>
<br><br><br><br>
<hr>
<!-- //a form is needed to be able to add a site -->
<a name="add_site"><br><br></a>
<center>
<table>
<tr>
<td>
Add a site in <?php echo htmlspecialchars($name_category); ?> : 
<br>
<form action="<?php echo addsess2url("admin_directory.php",$session_id); ?>" method="post">
<input type="hidden" name="action" value="add_site">
<input type="hidden" name="cat_id" value="<?php echo $cat_id; ?>">
<tr>
<td>
title of a site : 
<input type="text" name="title" maxlength=50 size=30>
<br>
<tr>
<td>
Url of the site : 
<input type="url" name="url" maxlength=150 size=50 value="http://"><br>
Site description : 
<br>
<textarea name="description" cols=50 rows=5></textarea>
<br><br>
<tr>
<td>
Number of visits : 
<input type="text" name="nb_clics" size=5 value=0>
<br>
<tr>
<td>
Site rank (5 is he lowest) : 
<select name="level">
<option value=1>1
<option value=2>2
<option value=3>3
<option value=4>4
<option value=5 selected>5
</select>
<br><br>
<tr>
<td>
Webmaster name (optionnal) :
<input type="text" name="name_owner" maxlength=50 size=30>
<br>
<tr>
<td>
Webmaster's email (optionnal) :
<input type="text" name="email_owner" maxlength=75 size=40>
<br><br>
<center><input type="submit" value="Add the site" onclick="this.value='Addition in progress...';"></center> 
</form>
</table>
</center>
<br><br>
<hr>
<br><br>
<?php
} // end of the else
?>
</body>
</html>