<?php
//form to edit listed sites
include("../data_bd_directory.php"); //directory variables
include("../functions.php"); //directory functions
include("secure.php"); //check the session + connexion to the DB

// if we have not left in secure.php, we can continue...

$action = isset($_POST['action']) ? $_POST['action'] : '';
$action2 = isset($_GET['action']) ? $_GET['action'] : '';

if ($action == "modify")
//change a site in the sites table
{
	// get the datas
	$id_cat = isset($_POST['id_cat']) ? (int)$_POST['id_cat'] : 0;
	$title = isset($_POST['title']) ? $_POST['title'] : '';
	$description = isset($_POST['description']) ? $_POST['description'] : '';
	$url = isset($_POST['url']) ? $_POST['url'] : '';
	$email_owner = isset($_POST['email_owner']) ? $_POST['email_owner'] : '';
	$name_owner = isset($_POST['name_owner']) ? $_POST['name_owner'] : '';
	$nb_clics = isset($_POST['nb_clics']) ? (int)$_POST['nb_clics'] : 0;
	$nb_votes = isset($_POST['nb_votes']) ? (int)$_POST['nb_votes'] : 0;
	$activation = isset($_POST['activation']) ? (int)$_POST['activation'] : 0;
	$level = isset($_POST['level']) ? (int)$_POST['level'] : 0;
	$id2modify = isset($_POST['id2modify']) ? (int)$_POST['id2modify'] : 0;
	$average_votes = isset($_POST['average_votes']) ? (double)$_POST['average_votes'] : 0;

	is_empty($id_cat,"Please choose a category");
	is_empty($title,"Please enter the title of the site");
	is_empty($description,"Please enter a description for the site");
	
	url_valide($url);
	if ($email_owner)
		email_valide($email_owner);

	if (!get_magic_quotes_gpc())
	//we add slashs for magic_quote at OFF
	{
		$title = addslashes($title);
		$name_owner = addslashes($name_owner);
		$description = addslashes($description);
	}

	//check the votes
	$average_votes = put_inthe_middle($average_votes,0,10,"float");
	$nb_votes = put_inthe_middle($nb_votes,0,16777215,"int");
	if ($nb_votes == 0 && $average_votes != 0)
	{
		?>
		The average number of vote can only be 0 if nbody has voted ! 
		<br><br>
		<a href="javascript:history.go(-1);">Return to the form</a>
		<?php	
		exit;
	}
	//check the number of clicks
	if (empty($nb_clics))
	{ $nb_clics = 0; }
	else
	{ $nb_clics = put_inthe_middle($nb_clics,0,16777215,"int"); }
	
	//everything is ok we can set the record back
	//create the request
	$sql ="UPDATE $T_sites SET id_cat = '$id_cat', title = '$title', description = '$description', url = '$url', name_owner = '$name_owner', email_owner = '$email_owner', activation = '$activation', level = '$level', nb_clics = '$nb_clics', nb_votes = '$nb_votes', average_votes = '$average_votes' WHERE id = '$id2modify' ";
	//connexion to the DB
	//we are already connected
	//send the request
	$upd = send_sql($sql,"Update the informations of a site in the table");
	//end the connexion
	mysql_close($lk);
	//redirection to the category of the modified site
	$url_redirect = "admin_directory.php?cat_id=$id_cat";
	header("Location: ".addsess2url($url_redirect,$session_id));
	exit;
}
elseif ($action == "modify_site_in_wait")
//modification of a site in waiting state
{
	// get the data back
	$id_cat = isset($_POST['id_cat']) ? (int)$_POST['id_cat'] : 0;
	$title = isset($_POST['title']) ? $_POST['title'] : '';
	$description = isset($_POST['description']) ? $_POST['description'] : '';
	$url = isset($_POST['url']) ? $_POST['url'] : '';
	$email = isset($_POST['email']) ? $_POST['email'] : '';
	$name = isset($_POST['nom']) ? $_POST['nom'] : '';
	$old_url = isset($_POST['old_url']) ? $_POST['old_url'] : '';
	$old_id_cat = isset($_POST['old_id_cat']) ? (int)$_POST['old_id_cat'] : 0;
	
	//check the data input

	is_empty($id_cat,"Please enter an id for the category !");
	is_empty($title,"Site's title can't be empty !");
	is_empty($description,"The description can't be empty !");
	is_too_long($description,255,"Your description");
	email_valide($email);
	url_valide($url);
	
	if (!get_magic_quotes_gpc())
	//we add slashes for magic_quote at OFF
	{
		$title = addslashes($title);
		$description = addslashes($description);
		$name = addslashes($name);
	}

	//creation of the update request
	$sql = "UPDATE $T_sites_in_wait SET name_owner = '$name', email_owner = '$email', id_cat = '$id_cat', title = '$title', description = '$description', url = '$url' WHERE id_cat = '$old_id_cat' AND url = '$old_url' ";
	//connexion to the DB
	//we are already connected
	//send the request
	$upd = send_sql($sql,"Update the informations in the list of sites in waiting");
	//end the connexion
	mysql_close($lk);
	//return to the validation page
	header("Location: ".addsess2url("validate_site.php",$session_id));
	exit;
}
elseif ($action == "modify_dead_site")
//modification of sites in waiting state
{
	// get the data back
	$id_cat = isset($_POST['id_cat']) ? (int)$_POST['id_cat'] : 0;
	$title = isset($_POST['title']) ? $_POST['title'] : '';
	$description = isset($_POST['description']) ? $_POST['description'] : '';
	$url = isset($_POST['url']) ? $_POST['url'] : '';
	$email_owner = isset($_POST['email_owner']) ? $_POST['email_owner'] : '';
	$name_owner = isset($_POST['name_owner']) ? $_POST['name_owner'] : '';
	$level = isset($_POST['level']) ? (int)$_POST['level'] : 0;
	$id2modify = isset($_POST['id2modify']) ? (int)$_POST['id2modify'] : 0;

	//check the data input
	is_empty($id_cat,"Please enter the id of the category !");
	is_empty($title,"You have to enter o title for the site !");
	if($email_owner)
		email_valide($email_owner);
	url_valide($url);
	is_empty($description,"The description can't be empty");
	is_too_long($description,255,"Your description");

	if (!get_magic_quotes_gpc())
	//we add slash for magic_quote at OFF
	{
		$title = addslashes($title);
		$description = addslashes($description);
		$name_owner = addslashes($name_owner);
	}
	
	//create the update request
	$sql = "UPDATE $T_sites SET name_owner = '$name_owner', email_owner = '$email_owner', id_cat = '$id_cat', title = '$title', description = '$description', url = '$url', level = '$level' WHERE id = '$id2modify' ";
	//connexion to the DB
	//we are already connected
	//send the request
	$upd = send_sql($sql,"Update the informations of a site in waiting state");
	//end the connexion
	mysql_close($lk);
	//return to the validation page
	header("Location: ".addsess2url("validate_site.php",$session_id));
	exit;
}

?>
<html>
<head>
<title>Modification of the informations of a site</title>
</head>
<body bgcolor="#ffffcc">
<?php
if ($action2 == "show_site_prop")
{
	// get the data back
	$id_site2modify = isset($_GET['id_site2modify']) ? (int)$_GET['id_site2modify'] : 0;
	//we display site's properties
	?>
	<a href="<?php echo addsess2url("admin.php",$session_id); ?>">Return to the main administration page</a>
	<br>
	<center><h2>Modifications of the informations of a site</h2></center>
	<br><br>
	<?php
	//creation of the request to find the site to change and the name of it's category
	$sql = "SELECT * FROM $T_sites WHERE id = '$id_site2modify'";
	//connexion to the DB
	//we are already connected
	//send the request
	$res_site = send_sql($sql,"Find the site to change (admin)");
	//not the end of the connexion
	//compute the datas
	if (mysql_num_rows($res_site))
	//if we have found a site
	{	
		$result_site = mysql_fetch_array($res_site,MYSQL_ASSOC);
		?>
		<center>
		<b>Here are the site informations :</b> 
		<br><br>
		<form action="<?php echo addsess2url('modify_site.php?',$session_id); ?>" method="post">
		<input type="hidden" name="id2modify" value="<?php echo $id_site2modify; ?>">
		<input type="hidden" name="action" value="modify">
		<table>
		<tr>
		<td width="100%">
		<br>
		Category of the site : 
		<br>
		<?php echo show_list_cats("id_cat",$result_site['id_cat']); ?>
		<br><br>
		title : 
		<input type="text" name="title" value="<?php echo htmlspecialchars($result_site["title"]); ?>" maxlength=50 size=30>
		<br>
		URL : 
		<input type="text" name="url" value="<?php echo $result_site["url"]; ?>" maxlength=150 size=50>
		<br><br>
		Description : 
		<br>
		<textarea name="description" cols=50 rows=5><?php echo htmlspecialchars($result_site["description"]); ?></textarea>
		<br><br>
		Owner's name :
		<input type="text" name="name_owner" value="<?php echo htmlspecialchars($result_site["name_owner"]); ?>" maxlength=50 size=30>
		<br>
		Owner's email :
		<input type="text" name="email_owner" value="<?php echo $result_site["email_owner"]; ?>" maxlength=75 size=40>
		<br>
		Validation Date: <?php echo $result_site["date_validation"]; ?>
		<br>
		Number of votes : <input type="text" name="nb_votes" value=<?php echo $result_site["nb_votes"]; ?> size=4> and the average vote is : <input type="text" name="average_votes" value=<?php echo $result_site["average_votes"]; ?> size=5 maxlength=5>/10
		<br>
		Number of clics : <input type="text" name="nb_clics" value=<?php echo $result_site["nb_clics"]; ?> size=5>
		<br><br>
		Site ranking (5 is the lowest) : 
		<select name="level">
		<option value=1<?php if ($result_site["level"] == 1) echo " selected"; ?>>1
		<option value=2<?php if ($result_site["level"] == 2) echo " selected"; ?>>2
		<option value=3<?php if ($result_site["level"] == 3) echo " selected"; ?>>3
		<option value=4<?php if ($result_site["level"] == 4) echo " selected"; ?>>4
		<option value=5<?php if ($result_site["level"] == 5) echo " selected"; ?>>5
		</select>
		<br><br>
		Display the site in the directory :
		<br>
		<input type="radio" name="activation" value=1<?php if($result_site["activation"] == 1) echo " checked"; ?>>Yes
		<br>
		<input type="radio" name="activation" value=0<?php if($result_site["activation"] != 1) echo " checked"; ?>>No
		<br><br>
		</table>
		<input type="submit" value="Save the changes" onclick="this.value='Change in progress...';">
		</form>
		</center>
		<?php
	} //end of the if mysql_num_rows
	else //we have found nothing
	{
		?>
		<br><br>
		No sites have been found
		<?php
	}
	//end the connexion
	mysql_close($lk);
} //fin du if $action == "show_site_prop
elseif ($action2 == "show_site_in_wait_prop")
//display the informations of a site in waiting for validation if we want to change them before site approval
{
	// get the data back
	$id_cat = isset($_GET['id_cat']) ? (int)$_GET['id_cat'] : 0;
	$url = isset($_GET['url']) ? $_GET['url'] : '';
	if (!get_magic_quotes_gpc())
		$url = addslashes($url);
	//create the requets to find the category and the information of a site
	$sql_site = "SELECT s.*, c.cat_name FROM $T_sites_in_wait s, $T_categories c WHERE s.id_cat = '$id_cat' AND c.id = '$id_cat' AND s.url = '$url' ";
	//connexion to the DB
	//we are already connected
	//send the request
	$res_site = send_sql($sql_site,"Find the infos of a site in waiting for change");
	//not the end of the connexion	 now
	?>
	<a href="<?php echo addsess2url("validate_site.php",$session_id); ?>">Return to the site validation</a>
	<br>
	<center>
	<h2>Modification d'un site en attente</h2>
	<br>
	<b>Voici les infos qui ont t soumises par le visiteur :</b> 
	<br><br>
	<?php
	if (mysql_num_rows($res_site))
	//if we have found the site to change
	{
		$result_site = mysql_fetch_array($res_site,MYSQL_ASSOC);
		//display the results
		?>
		<form action="<?php echo addsess2url("modify_site.php",$session_id); ?>" method="post">
		<input type="hidden" name="action" value="modify_site_in_wait">
		<input type="hidden" name="old_url" value="<?php echo $result_site["url"]; ?>">
		<input type="hidden" name="old_id_cat" value="<?php echo $result_site["id_cat"]; ?>">
		<table>
		<tr>
		<td width="100%">
		Date of site submission : 
		<?php echo $result_site["date_soumission"]; ?>
		<br><br>
		Name :
		<input type="text" name="name" maxlength=50 size=25 value="<?php echo htmlspecialchars($result_site["name_owner"]); ?>"><br>
		Email :
		<input type="text" name="email" maxlength=75 size=30 value="<?php echo $result_site["email_owner"];?>">
		<br><br>
		Category :
		<br>
		<?php echo show_list_cats("id_cat",$id_cat); ?>
		<br><br>
		title : 
		<input type="text" name="title" maxlength=100 size=30 value="<?php echo htmlspecialchars($result_site["title"]); ?>">
		<br>
		URL : 
		<input type="text" name="url" maxlength=150 size=30 value="<?php echo $result_site["url"]; ?>">
		<br><br>
		Description :
		<br>
		<textarea name="description" cols=50 rows=5><?php echo htmlspecialchars($result_site["description"]); ?></textarea>
		<br><br><br><br>
		</table>
		<input type="submit" value="Change the informations" onclick="this.value='Change in progress';"> 	
		</form>
		<?php
	}
	else //no site found
	{
		?>
		<br><br>
		No site has been found !
		<?php
	}
	//end the connexion
	mysql_close($lk);
	echo "</center>\n"; //start at lign 262
}
elseif ($action2 == "show_dead_site_prop")
{
	// get the data back
	$id_site2modify = isset($_GET['id_site2modify']) ? (int)$_GET['id_site2modify'] : 0;
	//we display the properties of the site
	?>
	<a href="<?php echo addsess2url("validate_site.php",$session_id); ?>">Return to the site validation</a>
	<br>
	<center><h2>Change the informations of a site</h2></center>
	<br><br>
	<?php
	//creation of the requets to find the informations of the site to modify and it's category
	$sql = "SELECT * FROM $T_sites WHERE id = '$id_site2modify'";
	//connexion to the DB
	//we are already connected
	//send the request
	$res_site = send_sql($sql,"Find the site to change (admin)");
	//not the end of the connexion
	//compute the result
	if (mysql_num_rows($res_site))
	//if we have a site
	{	
		$result_site = mysql_fetch_array($res_site,MYSQL_ASSOC);
		?>
		<center>
		<b>Here are the informations of the site :</b> 
		<br><br>
		<form action="<?php echo addsess2url("modify_site.php",$session_id); ?>" method="post">
		<input type="hidden" name="action" value="modify_dead_site">
		<input type="hidden" name="id2modify" value="<?php echo $id_site2modify; ?>">
		<table>
		<tr>
		<td width="100%">
		<br>
		Catygory of the site : 
		<br>
		<?php echo show_list_cats("id_cat",$result_site["id_cat"]); ?>
		<br><br>
		title : 
		<input type="text" name="title" value="<?php echo htmlspecialchars($result_site["title"]); ?>" maxlength=50 size=30>
		<br>
		URL : 
		<input type="text" name="url" value="<?php echo $result_site["url"]; ?>" maxlength=150 size=50>
		<br><br>
		Description : 
		<br>
		<textarea name="description" cols=50 rows=5><?php echo htmlspecialchars($result_site["description"]);?></textarea>
		<br><br>
		Owner's name :
		<input type="text" name="name_owner" value="<?php echo htmlspecialchars($result_site["name_owner"]); ?>" maxlength=50 size=30>
		<br>
		Owner's Email :
		<input type="text" name="email_owner" value="<?php echo $result_site["email_owner"]; ?>" maxlength=75 size=40>
		<br><br>
		Site rank (5 is the lowest) : 
		<select name="level">
		<option value=1<?php if ($result_site["level"] == 1) echo " selected"; ?>>1
		<option value=2<?php if ($result_site["level"] == 2) echo " selected"; ?>>2
		<option value=3<?php if ($result_site["level"] == 3) echo " selected"; ?>>3
		<option value=4<?php if ($result_site["level"] == 4) echo " selected"; ?>>4
		<option value=5<?php if ($result_site["level"] == 5) echo " selected"; ?>>5
		</select>
		<br><br>
		</table>
		<input type="submit" value="Save the changes" onclick="this.value='Change in progress...';">
		</form>
		</center>
		<?php
	} //end of the if mysql_num_rows
	else //nothing is found
	{
		?>
		<br><br>
		No site has been found
		<?php
	}
	//end the connexion
	mysql_close($lk);
}	 
?>
</body>
</html>