<?php
//Main page of the directory

include("data_bd_directory.php"); //directory variables 
include("functions.php"); //function of the directory

$cat_id = isset($_GET['cat_id']) ? (int)$_GET['cat_id'] : 0;
if($cat_id < 0)
	exit;
$page = isset($_GET['page']) ? (int)$_GET['page'] : 0;
if($page < 0)
	exit;

?>
<html>
<head>
<title>MyPHPdirectory</title>
<script language="JavaScript" src="js_directory.js"></script>
<link type="text/css" href="myphpdirectory.css" rel="stylesheet">
<?php
//file that contain your meta-tags and everything that has to be in the HEAD part of your pages
include("meta.php");
?>
</head>
<body>
<?php
//file that contains everything in the directory code (left menu....)
include("before.php");

include ("top.php"); //Misc links in the directory (top clicks, top votes, addition,...)

//Display the directory

if (empty($cat_id))
//If it is the main page that is requested
{
	//creating the request
	//number of sites and categories
	$sql_nbsites = "SELECT id FROM $T_sites WHERE activation = '1' ";
	$sql_nbcats = "SELECT id FROM $T_categories WHERE activation = '1' ";
	//we seek the categories
	$sql_cat = "SELECT id,cat_name FROM $T_categories WHERE id_cat_mother = '0' AND activation = '1' ORDER BY cat_name ASC";
	//we seek the informations needed on the site
	$sql_admin = "SELECT nb_scats_on_index FROM $T_infos "; 
	//connexion to the DB
	$lk = connection_BD();
	//sending the request
	$res_nbsites = send_sql($sql_nbsites,"Find the number of sites");	
	$res_nbcats = send_sql($sql_nbcats,"Find the number of categories");
	$res_cat = send_sql($sql_cat,"Find the main catgories");
	$res_admin = send_sql($sql_admin,"find the number of sub-categories to display");

	//Display the number of sites and categories (the requets are higher)
	$nb_sites = mysql_num_rows($res_nbsites);
	$nb_cats = mysql_num_rows($res_nbcats);
	
	//We take the number of sub-categories to display in the main categories
	$result = mysql_fetch_array($res_admin,MYSQL_ASSOC);
	$nb_scats_onindex = $result["nb_scats_on_index"];

	?>
	<center>
	<span class="text_index_directory">
	This directory contains <?php echo $nb_sites; ?> sites in <?php echo $nb_cats; ?> categories
	</span>
	</center>
	<br><br>
	<table border=0 width="85%" align="center">
	<?php
	//table of categories

	//For each mother categories found we display them with X first sub-cat
	$i=0;
	while ($one_category = mysql_fetch_array($res_cat,MYSQL_ASSOC))
	{
		if ($i%2 == 0) //left column and so new ligne
			echo "<tr>\n";
		$i++;
		//We display the mother category
		?>
<td valign="top" width="50%">
<img src="img/directory.gif" border=0>
<a href="index.php?cat_id=<?php echo $one_category["id"]; ?>" class="link_cat_index_directory"><?php echo htmlspecialchars($one_category["cat_name"]); ?></a>
 <span class="nb_scat_index_directory">(<?php echo get_nbsites($one_category["id"]); ?>)</span>
		<?php
		//To see if there's no subcategories
		$sql_scat = "SELECT id,cat_name FROM $T_categories WHERE id_cat_mother = '$one_category[id]' AND activation = '1' ORDER BY position ASC, cat_name ASC LIMIT 0,$nb_scats_onindex ";
		$res_scat = send_sql($sql_scat,"Find the sub-categories");
		echo "\n<br>\n";
		//display the sub-categories
		while ($one_subcat = mysql_fetch_array($res_scat,MYSQL_ASSOC))
		{
			?>
<a href="index.php?cat_id=<?php echo $one_subcat["id"]; ?>" class="link_scat_index_directory"><?php echo htmlspecialchars($one_subcat["cat_name"]); ?></a>
&nbsp;&nbsp;
			<?php
		}
		echo "<br><br>\n";
	}
	?>
	</table>
	<?php
	//stop the connection
	mysql_close($lk);
}
else//if (!empty($cat_id))
//if it is not the main page
{
	//creation of the admin request
	$sql_infos = "SELECT nb_sites_on_page,nb_days2benew FROM $T_infos ";
	//connexion to the DB
	$lk = connection_BD();
	//Sending the request
	$res_infos = send_sql($sql_infos,"Find the number of sites to display per page");
	
	//Action on the result
	$result_infos = mysql_fetch_array($res_infos,MYSQL_ASSOC);
	$nb_sites_on_page = $result_infos["nb_sites_on_page"];
	$nb_days2benew = $result_infos["nb_days2benew"];

	if (empty($page))
	//first page
		$page = 1;
	//Beginning of the LIMIT statement for the request on site
	$beginning = ($page - 1) * $nb_sites_on_page;

	//Creation of the request to find the subcategories, the sites and a description in a category
	$sql_descr = "SELECT texte FROM $T_categories WHERE id = '$cat_id' ";
	$sql_nb_sites = "SELECT id FROM $T_sites WHERE id_cat = '$cat_id' AND activation = 1 ";
	$sql_site = "SELECT *,TO_DAYS(CURRENT_DATE) - TO_DAYS(date_validation) AS dif_days FROM $T_sites WHERE id_cat = '$cat_id' AND activation = 1 ORDER BY level ASC,title ASC LIMIT $beginning,$nb_sites_on_page";
	$sql_scat = "SELECT id, cat_name FROM $T_categories WHERE id_cat_mother = '$cat_id' AND activation = 1 ORDER BY cat_name ASC";
	
	//sendind the request 
	$res_descr = send_sql($sql_descr,"Find a description in a category");
	$res_nb_sites = send_sql($sql_nb_sites,"Find the number of site to display");
	$res_site = send_sql($sql_site,"Find the number of sites");
	$res_scat = send_sql($sql_scat,"Find the sub-categories");
	
	//calculation of the number of pages
	$nb_sites = mysql_num_rows($res_nb_sites);
	$nb_pages = ceil($nb_sites / $nb_sites_on_page);

	//display the arbo_inline
	echo "<center>".show_tree_in_lign($cat_id)."</center>\n";
	?>
	<br>
	<hr width="60%">
	<br>
	<?php
	//display the sub-categories	
	if (mysql_num_rows($res_scat))
	//If there's sub-categories
	{
		?>
		<table width="80%" border=0 align="center">
		<?php
		$i=0;
		while ($result = mysql_fetch_array($res_scat,MYSQL_ASSOC))
		{
			if ($i%2 == 0) //right column
				echo "<tr>\n";
			echo "<td width=\"50%\" align=\"center\" height=30>\n";
			?>
<img src="img/directory.gif" border=0>
<a href="index.php?cat_id=<?php echo $result["id"]; ?>" class="link_scat_other_directory"><?php echo htmlspecialchars($result["cat_name"]); ?></a>
 <span class="nb_scat_other_directory">(<?php echo get_nbsites($result["id"]); ?>)</span>
			<?php
			$i++;
		}
		if ($i%2 != 0)
			echo "<td width=\"50%\" align=\"center\" height=30>&nbsp;\n";
		//end of the table and separator
		?>
		</table>
		<br>
		<hr width="75%">
		<br>
		<?php
	}
	//end of connexion
	mysql_close($lk);

	//we display the description of a category
	$res_texte = mysql_fetch_array($res_descr,MYSQL_ASSOC);
	if ($res_texte["texte"])
	//If we have a description to display
	{
		?>
		<span class="text_cat_directory">
		<?php
		echo htmlspecialchars($res_texte["texte"]);
		?>
		</span>
		<br><br>
		<?php
	}
	//We display sites	
	if (mysql_num_rows ($res_site))
	{
		?>
		<table width="90%" border=0 align="center">
		<?php
		while ($result = mysql_fetch_array($res_site,MYSQL_ASSOC))
			display_site($result);
		?>	
		</table>
		<?php
	}
	echo "<br><br>\n";
	//Display the number of other pages at the bottom
	if ($nb_sites > $nb_sites_on_page)
	//if there's to much site to display on a page
	{
		?>
		<center>
		<span class="link_numpage_directory">
		<?php
		for ($i=1;$i<$nb_pages;$i++)
		{
			if ($i != $page)
				echo "<a href=\"index.php?cat_id=$cat_id&page=$i\">$i</a>";
			else
				echo "$i";
			echo " - ";
		}
		//We display the last number of page (without ident a the end)
		if ($i == $page)
			echo $i;
		else
			echo "<a href=\"index.php?cat_id=$cat_id&page=$i\">$i</a>";
		?>
		</span>
		</center>
		<br><br>
		<?php
	}	
	if (!mysql_num_rows($res_site) and !mysql_num_rows($res_scat) ) //no site in a categorie neither a sub categorie
	{
		?>
		<br>
		<span class="no_site_in_cat_directory">
		<center>
		No site in this category yet
		<br>
		Hurry up to add your site in this category if it matches
		</center>
		</span>
		<?php
	}
	echo "</center>\n";
}   

include ("bottom.php"); //bottom of the page 

//File that has to contain everything that appear before the directory (right menu....)
include("after.php");

?>
</body>
</html>