<?php
//Search engine for the directory

include("data_bd_directory.php"); //variables of the directory
include("functions.php"); //functions of the directory

$words = isset($_REQUEST['words']) ? $_REQUEST['words'] : '';
$words = trim($words);
$page = isset($_GET['page']) ? (int)$_GET['page'] : 0;
if($page < 0)
	exit;

$booleen = isset($_REQUEST['booleen']) ? $_REQUEST['booleen'] : '';
if(empty($booleen) or $booleen != "OR")
	$booleen = "AND";

$nb_results2show = isset($_REQUEST['nb_results2show']) ? (int)$_REQUEST['nb_results2show'] : 0;
if($nb_results2show <= 0)
	$nb_results2show = 10;

?>
<html>
<head>
<title>Search in the directory</title>
<script language="JavaScript" src="js_directory.js"></script>
<link type="text/css" href="myphpdirectory.css" rel="stylesheet">
<?php
//file that contain your meta-tags and everything that msut come in the HEAD part of your pages
include("meta.php");
?>
</head>
<body>
<?php
//File that contains everything that has to come before the directory (left menu....)
include("before.php");

include ("top.php"); //Misc links of the directory (top clicks, top votes, addition,...)

//Search engine in the directory

//calculation of the start time of search
$time_deb = microtime();
$time_deb = explode(" ",$time_deb);
$time_deb = $time_deb[0] + $time_deb[1];

//We check the size of the seeked word to see if we have entered more that one or two caracters
if ($words == "You search :")
	$words = "";
$too_short = false;

if (strlen(stripslashes($words)) < 3)
//the size of the word is too short....
	$too_short = true;

if (!get_magic_quotes_gpc())
//We add slashes for the magic_quote to OFF
	$words = addslashes($words);

if (!empty($page)) //if we are not on the first page of result
	$words = rawurldecode($words);

//we split each word in a part of an array
$words_reals_seeked = explode(" ",$words);
//list of words to discard : you can add some (but they have to be at least 3 characters long !!!)
$bad_words[] = "";
$bad_words[] = "the";
$bad_words[] = "some";

//we remove here small useless words
$ln_tab = sizeof($words_reals_seeked);
for ($i=0;$i<$ln_tab;$i++) 
//we compare each one with those unwanted
{
	if (!is_in_array(trim($words_reals_seeked[$i]),$bad_words) && strlen($words_reals_seeked[$i]) > 2) 
		$words_real_seeked[] = $words_reals_seeked[$i];
}
$nb_words = sizeof($words_reals_seeked);

if ($nb_words > 0 && !$too_short)
//if we have at least one words for searching
{	
	if (empty($page))
	//first page
		$page = 1;
	//beginning of the LIMIT statement of the request on sites
	$beginning = ($page - 1) * $nb_results2show;

	//We can do request to find the words to find the words truely seeked and in the categories
	//requete pour effectuer la recherche dans les sites
	$sql_sites = "SELECT s.*, cat_name, TO_DAYS(CURRENT_DATE) - TO_DAYS(date_validation) AS dif_days FROM $T_sites AS s, $T_categories AS c WHERE s.id_cat = c.id AND s.activation = 1 AND c.activation = 1 AND (";

	$cond_sites = "";
	//request for sites
	for ($i=0;$i<$nb_words;$i++)
	{
		$cond_sites .= " (title LIKE '%$words_reals_seeked[$i]%' OR description LIKE '%$words_reals_seeked[$i]%' OR url LIKE '%$words_reals_seeked[$i]%') ";
		if ($i != ($nb_words - 1)) //if we are not on the last word
			$cond_sites .= $booleen;
	}
	$sql_sites .= $cond_sites;
	$sql_sites .= ") ORDER BY level ASC,title ASC LIMIT $beginning,$nb_results2show ";
	// echo 'sel : '.$sql_sites;
	if ($page == 1)
	//construction of the requests for the number of results and for searching in categories
	{
		//request to search recherche in categories
		$sql_cats = "SELECT * FROM $T_categories WHERE activation = 1	AND (";
		//request to find the total number of sites in the results
		$sql_nb_sites = "SELECT count(s.id) AS count FROM $T_sites AS s, $T_categories AS c	WHERE s.id_cat = c.id AND s.activation = 1 AND c.activation = 1 AND (";

		//request for the categories
		for ($i=0;$i<$nb_words;$i++)
		{
			$sql_cats .= " (cat_name LIKE '%$words_reals_seeked[$i]%' OR texte LIKE '%$words_reals_seeked[$i]%') ";
			if ($i != ($nb_words - 1)) //if we are not on the last word
				$sql_cats .= $booleen;
		}
		$sql_nb_sites .= $cond_sites;
		$sql_nb_sites .= ") ";
		$sql_cats .= ") ORDER BY cat_name ASC ";
	}
	//creation of the request to give the number of days a site is new
	$sql_admin = "SELECT nb_days2benew FROM $T_infos ";
	//connexion to the DB
	$lk = connection_BD();
	//sending the request
	$res_admin = send_sql($sql_admin,"Find the number of day that a site has to be considered as new (search engine)");
	$nb_days2benew = mysql_result($res_admin,0,"nb_days2benew");
	$res_sites = send_sql($sql_sites,"Find results for sites (search engine)");
	if ($page == 1)
	{
		$res_nb_sites = send_sql($sql_nb_sites,"Find the total number of sites that are a part of a search request");
		$res_cats = send_sql($sql_cats,"Find result per categories (search engine)");	
		//We handle the result we found
		$nb_cats_found = mysql_num_rows($res_cats);
		$nb_sites_found = mysql_result($res_nb_sites,0,'count');
	}
	else
	{
		$nb_sites_found = isset($_GET['nb_sites_found']) ? (int)$_GET['nb_sites_found'] : 0;
		$nb_cats_found = 0; // We display only the site we found on the first page
	}
	//Calculation of the number of pages
	$nb_pages = ceil($nb_sites_found / $nb_results2show);
	
	//TIMER
	//We calculate the time needed for the search
	$time_fin = microtime();
	$time_fin = explode(" ",$time_fin);
	$time_fin = $time_fin[0] + $time_fin[1];

	$time_search = $time_fin - $time_deb; 		
	if ($page == 1)
	{
		?>
		<center>
		<span class="timer_search_directory">
		<?php printf ("%d category(ies) and %d site(s) found for \"%s\" in %.3f s\n",$nb_cats_found,$nb_sites_found,stripslashes(htmlspecialchars($words)),$time_search); ?>
		</span>
		</center>
		<br><br>
		<?php
	}

	if ($page == 1 && $nb_cats_found)
	//if we found some categories
	{
		?>
		<table width="90%" border=0 align="center">
		<span class="res_search_cat_site_directory">
		Categorie(s) found :
		</span>
		<br><br>
		<?php
		while ($result = mysql_fetch_array($res_cats,MYSQL_ASSOC))
		{ 
			?>
			<tr>
			<td width="100%">
			<?php
			$arbo = show_tree_in_lign($result["id"], "index.php", " : ");
			//We set the word as bold
			for ($i = 0; $i < $nb_words; $i++)
				$arbo = keyword_in_bold($words_reals_seeked[$i], $arbo);
			echo $arbo;
		}
		?>
		</table>
		<br><br>
		<?php
	}
	if ($nb_sites_found)
	//we have found some sites
	{
		?>
		<table width="90%" border=0 align="center">
		<span class="res_search_cat_site_directory">				
		Site(s) found :
		<?php
		$end = $page*$nb_results2show;
		if ($end > $nb_sites_found)
			$fin = $nb_sites_found;
		echo ($beginning+1)." to ".$end;
		if ($page != 1)
			echo " (There is : ".$nb_sites_found." sites found)\n";
		?>
		</span>
		<br><br>
		<?php
		while ($result = mysql_fetch_array($res_sites,MYSQL_ASSOC))
		{
			//We set the word in bold
			for ($i = 0; $i < $nb_words; $i++)
			{
				$result["title"] = keyword_in_bold($words_reals_seeked[$i], $result["title"]);
				$result["description"] = keyword_in_bold($words_reals_seeked[$i], $result["description"]);
			}
			display_site($result,"search");
		}
		echo "</table>\n";
		//display the link to the next page if there is a lot of result
		if ($nb_sites_found > $nb_results2show)
		{
			?>
			<center>
			<span class="link_numpage_directory">
			<?php
			for ($i=1;$i<$nb_pages;$i++)
			{
				if ($i != $page)
					echo "<a href=\"search.php?words=".rawurlencode(htmlspecialchars($words))."&page=".$i."&nb_results2show=".$nb_results2show."&booleen=".$booleen."&nb_sites_found=".$nb_sites_found."\">".$i."</a>\n";
				else
				{ echo "$i"; }
				echo " - ";
			}
			//we display the last page number (without indent after)
			if ($i == $page)
				echo $i;
			else
			{ echo "<a href=\"search.php?words=".rawurlencode(htmlspecialchars($words))."&page=".$i."&nb_results2show=".$nb_results2show."&booleen=".$booleen."&nb_sites_found=".$nb_sites_found."\">".$i."</a>\n"; }
			?>
			</span>
			</center>
			<br><br>
			<?php
		}	
	}

	if (!($nb_cats_found + $nb_sites_found)) //we find no result
	{
		?>
		<center>
		<span class="no_res_search_directory">
		<?php
		echo "No result for this search \"";
		if ($nb_words > 1)
			$search = implode("+",$words_reals_seeked);
		else
		{ $search = $words; }
		echo stripslashes(htmlspecialchars($search))."\"\n";
		?>
		<br><br>
		Try with a less specific request...
		</span>
		</center>
		<?php
	}
	//end the connexion
	mysql_close($lk);	
}//if ($nb_words > 0)
else //no word requested
{
	?>
	<center>
	<span class="no_res_search_directory">
	You have to use at least on USEFUL word
	</span>
	</center>
	<?php
}

include ("bottom.php"); //bottom of the page

//file that has to contain everything below the directory code (left menu....)
include("after.php");

?>
</body>
</html>