<?php
//Submit a site in the directory

include("data_bd_directory.php"); //variables in the directory
include("functions.php"); //functions in the directory

$id_cat = isset($_REQUEST['id_cat']) ? (int)$_REQUEST['id_cat'] : 0;

//connexion to the DB
$lk = connection_BD();

if (!empty($id_cat))
{
	//creation of the request
	$sql = "SELECT cat_name, can_add FROM $T_categories WHERE id = '$id_cat' ";
	//sending the request
	$res = send_sql($sql,"Find the name of a category and test if we can add a site (directory)");
	//not the end of the connexion

	if (mysql_num_rows($res)) //if we have already found a category
	{
		$result = mysql_fetch_array($res,MYSQL_ASSOC);
		$cat_name = $result["cat_name"];
		$can_add = $result["can_add"];
	} 
	else//something else in the category in the url
	{
		header("Location: index.php");
		exit;
	}
}
// we seek the information in the directory
$sql_admin = "SELECT use_newsletter, func_mail FROM $T_infos "; //to display the information request
$res_admin = send_sql($sql_admin,"Find the number for the maximum number of presence and the use of the newsletter"); 

$result_admin = mysql_fetch_array($res_admin,MYSQL_ASSOC);
$use_newsletter = $result_admin["use_newsletter"];
$func_mail_ok = $result_admin["func_mail"];

?>
<html>
<head>
<title>Submit a site in the directory</title>
<script language="JavaScript" src="js_directory.js"></script>
<link type="text/css" href="myphpdirectory.css" rel="stylesheet">
<?php
//File that contains your HEAD part like your meta tags
include("meta.php");
?>
</head>
<body>
<?php
//File that contains everything that has to be before the directory code (left menu....)
include("before.php");

include ("top.php"); //Misc links of the directiry (top clicks, top votes, additions,...) 
?>
<center>
<span class="title_directory">
Submit a site
</span>
</center>
<?php
//A vistor has just submitted a site
//it has to be validated from the administrator and
//it is needed to warm the poster with a mail
//so the name of the webmaster and his email is important and has to be written
$action = isset($_POST['action']) ? $_POST['action'] : '';
if ($action == "submit")
{
	// get the datas
	$name_owner = isset($_POST['name_owner']) ? $_POST['name_owner'] : '';
	$email_owner = isset($_POST['email_owner']) ? $_POST['email_owner'] : '';
	$title = isset($_POST['title']) ? $_POST['title'] : '';
	$url = isset($_POST['url']) ? $_POST['url'] : '';
	$description = isset($_POST['description']) ? $_POST['description'] : '';
	$add2newsletter = isset($_POST['add2newsletter']) ? (int)$_POST['add2newsletter'] : 0;
	//checking all fields (we don t leave directly if there is an error...)
	is_empty($name_owner,"You have not filled your name !",true);
	email_valide($email_owner,true);
	is_empty($title,"You have not filled the title of the site !",true);
	url_valide($url,true);
	is_empty($description,"You have not filled the description of the site !",true);
	is_too_long($description,255,"Your description",true);

	//connexion to the BD (usefull to check if the url is here and before check the admin informations)
	//we are already connected
	//creation of the administration request
	$sql_admin = "SELECT max_presence, auto_validate, email_master, title_site, url_rep FROM $T_infos ";
	//send the request
	$res_admin = send_sql($sql_admin,"Find information for site addition");

	$result_admin = mysql_fetch_array($res_admin);
	$auto_validate = $result_admin["auto_validate"];
	$email_master = $result_admin["email_master"];
	$title_site = $result_admin["title_site"];
	$url_rep = $result_admin["url_rep"];
	$max_presence = $result_admin["max_presence"];

	//we check if the url is not already in the table (exit function if problem)
	if (check_presence_url($url,$id_cat,$max_presence))
	{
		?>
		<br><br>
		<a href="index.php">Back to the directory</a>
		<?php
		include("after.php");
		exit;
	}

	if (!get_magic_quotes_gpc())
	//We add slash for magic_quote set at OFF
	{
		$name_owner = addslashes($name_owner);
		$title = addslashes($title);
		$description = addslashes($description);
	}
	//we remove special characters and html tags
	$name_owner = $name_owner;
	$title = $title;
	$description = $description;
	
	//If all fields are filled
	//we can add the site in the table of sites before their validation
	
	//creating the requests
	if ($auto_validate)
	//directly accepted and so in the table of sites
	{ $sql = "INSERT INTO $T_sites (id_cat,title,description,url,name_owner,email_owner,date_validation) VALUES ('$id_cat','$title','$description','$url','$name_owner','$email_owner',CURRENT_DATE) "; }
	else //in the table of sites in waiting of approval
	{ $sql = "INSERT INTO $T_sites_in_wait (id_cat,title,description,url,name_owner,email_owner,date_submission) VALUES ('$id_cat','$title','$description','$url','$name_owner','$email_owner',CURRENT_DATE) "; }
	$sql_cat_name = "SELECT cat_name FROM $T_categories WHERE id = '$id_cat' ";
	//sending the request
	$ins = send_sql($sql,"submit a site !");
	$res_cat_name = send_sql($sql_cat_name,"find the name of a category");
	//end the connexion
	mysql_close($lk);
	
	$result_cat_name = mysql_fetch_array($res_cat_name,MYSQL_ASSOC);
	
	//confirmation message to the visitor and to the webmaster
	?>
	<br><br><br>
	<span class="confirm_add_site_directory">
	<?php
	if($func_mail_ok)
	//if we know how to send email
	{
		//messages creation
		if ($auto_validate)
		{
			$message_vis = "The site $url that you have submitted has been added in the directory of $title_site.\n\n";
			$message_master = "Your site $title has been added in your directory in the category $resultat_cat_name[cat_name].\n";
			$message_master .= "You can see your website if you visit the category at this link :\n";
			$message_master .= "$url_rep/index.php?cat_id=$id_cat\n\n";
		}
		else //The administrator has to validate the website
		{
			$nom_category = $result_cat_name["cat_name"];
			//message creation 
			$message_vis = "You have just submitted : $url in the directory of $title_site.\n\n";
			$message_vis .= "Once the webmaster has visited your website, you will receive an email if your site is approved.\n";
			$message_master = "Your site : $url has been submitted in the directory in the category $nom_category."; 
		}
		//send a message to the visitor
		send_mail($email_owner,"Site submission in the directory of $title_site",htmlspecialchars($message_vis),$email_master);
		//Send a message to the webmaster to warn him of the website submission
		send_mail($email_master,"New website submitted in the directory",htmlspecialchars($message_master),$email_master);

		if ($auto_validate)
		{
			?>
			The website has been submitted and automatically accepted and added in the wanted category
			<br><br>
			<?php
		}
		else //The website is in waiting for approval
		{
			?>
			The site <?php echo htmlspecialchars($url); ?> has been submitted in the directory of <?php echo htmlspecialchars($title_site); ?>.
			<br><br>
			You will receive a mail, if after the visit of your website the webmaster decides to list it in the directory!
			<?php
		}
		//message to the webmaster si le visiteur s'est inscrit a la Newsletter
		if ($add2newsletter != 0)
			send_mail($email_master,"Newsletter subscription","$email_owner want to receive the Newsletter",$email_master);		
	}
	else //if we dont know how to send an email
	{
		if ($auto_validate)
		{
			?>
			The site that has been submitted has been automatically accepted and so added in the wanted categorie !
			<?php
		}
		else //the site needs webmaster approval
		{
			?>
			The webmaster will check your website and decide if he wnts to add it or not...
			<br><br>
			Come back in 3 or 4 jours to check if your website is accepted !
			<?php
		}
	}
	?>
	</span>
	<br><br>
	<a href="index.php">Back to the directory</a>
	<?php
}
else //we have to display a form here and not to submit it
{
	if (!empty($id_cat) && $can_add != 1)
	//it is not possible to add a website in this category
	{
		//close the connexion
		mysql_close($lk);
		?>
		<br><br><br>
		<center>
		<span class="can_not_add_directory">
		the administrator of this directory has decided to stop site submission in this category.
		<br><br>
		you can perhaps try to add it in a sub-category... 
		</span>
		</center>
		<?php
	}
	else
	//it s possible to add sites in this category
	{
		//we display the conditions
		include("conditions.html");
		echo "<br><br>\n";
		?>
		<center><span class="all_field_required_directory">All fields are mandatory !</span></center>
		<br><br>
		<table align="center" border=0>
		<tr>
		<td class="text_before_field_add_directory">
		<form action="submit_site.php" method="post" name="form2submit">
		<input type="hidden" name="action" value="submit">
		<?php
		if (empty($id_cat))
		{
			//connexion to the DB
			$lk = connection_BD();
			//display the list of category
			echo "<center>".show_list_cats("id_cat","",true)."</center>";
		}
		else
		{
			?>
			<input type="hidden" name="id_cat" value="<?php echo $id_cat; ?>">
			Category : <?php echo htmlspecialchars($cat_name); ?>
			<?php
		} //end of the else

		//end the connexion
		mysql_close($lk);
		?>
		<br><br>
		Your name:
		<input type="text" name="name_owner" maxlength=50 size=30 class="field_data_add_site_directory">
		<br>
		Your email : 
		<input type="text" name="email_owner" maxlength=75 size=40  class="field_data_add_site_directory">
		<br>
		Title of your website : 
		<input type="text" name="title" maxlength=50 size=30 class="field_data_add_site_directory">
		<br>
		Url of your website : 
		<input type="url" name="url" maxlength=150 size=50 value="http://" class="field_data_add_site_directory">
		<br><br>
		Description of the website :
		<br>
		<textarea name="description" cols=50 rows=5 class="descr_add_site_directory"></textarea>
		<br><br>
		<?php
		if ($use_newsletter && $func_mail_ok) //it is needed to get a mail using the function mail()
		{
			?>
			Do you want to receive our Newsletter ?
			<input type="checkbox" name="add2newsletter" value=1>
			<br><br><br>
			<?php
		} //end the if
		?>
		<center>
		<input type="submit" value="Submit the site" onclick="return check_id_cat()" class="submit_form_add_site_directory">
		</center>
 
		</form>
		</table>
		<?php
	} //End the else !can_add
} //end of the else display the form

include ("bottom.php"); //footer

//file that contains everything that has to come before the directory code (left menu....)
include("after.php");

?>
</body>
</html>